@import url('https://fonts.googleapis.com/css2?family=Roboto+Mono:wght@400;700&display=swap');



.footer {
    width: 100%; /* Ensure footer stretches across the full width */
}

.parent-vowel {
    display: grid;
    grid-template-columns: 1fr 8fr 1fr 300px;
    grid-template-rows: 1fr;
    grid-column-gap: 2px;
    grid-row-gap: 2px;
}

.div1-vowel { 
    grid-area: 1 / 1 / 2 / 2; 
}
.div2-vowel { 
    grid-area: 1 / 3 / 2 / 4; 

}
.div3-vowel { 
    grid-area: 1 / 2 / 2 / 3; 
}

.sidebar { 
    grid-area: 1 / 4 / 2 / 5;
}

.text {
    padding: 5px;
}





/* Base styles */
body {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    margin: 0;
    padding: 0;
    min-height: 100vh;
    width: 100%;
}

.parent-vowel p {
    margin-bottom: 20px;
    font-size: 18px;
    line-height : 1.6;
    font-weight: 300;
  }
  
.parent-vowel p a {
    color: #1A73E8;
}
  
.parent-vowel h2, h3 {
    margin-bottom: 20px;

}

/* Vowel Counter specific styles */
.vc-container {
    max-width: none;
    width: 100%;
    padding: 15px;
    margin-top: 20px;
    display: flex;
    flex-direction: column;
    
    align-items: center;
    background: #FFFFFF; /* Optional: Sets a background color for the container */
}

.vc-title {
    font-size: 32px;
    color: #333;
    margin: 0;
    text-align: center;
    padding: 10px 0;
}




.vc-textarea {
    width: 100%;
    min-height: 150px; /* Minimum height for better visibility */
    resize: vertical; /* Allows the textarea to be resized vertically */

    border: 4px solid #ccc;
    box-shadow: 1px 1px 5px rgba(0, 0, 0, 0.1);
    border-radius: 4px;
    padding: 10px;
    font-size: 18px;
    line-height: 1.5;
    box-sizing: border-box;
    margin-bottom: 10px;
    margin-top: 5px;
    transition: border-color 0.3s;
}

.vc-textarea:hover {
    border-color: #A9A9A9;
}

.vc-textarea:focus {
    outline: none;
    border-color: black;
    box-shadow: 1px 1px 8px rgba(0, 0, 0, 0.2);
}

.vc-counts {
    display: flex;
    justify-content: space-between;
    width: 100%;
    margin: 5px 0;
}

.vc-counts > div {
    flex: 1;
    text-align: center;
    border: 1px solid black;
    padding: 5px;
    box-sizing: border-box;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.vc-counts > div:not(:last-child) {
    border-right: none;
}

.vc-counts > div > div:first-child {
    margin-bottom: 5px;
}

.vc-counts > div > div:last-child {
    font-size: 40px;
    color: #1a73e8;
}

#vc-vowelA, #vc-vowelE, #vc-vowelI, #vc-vowelO, #vc-vowelU {
    font-size: 20px;
}

#vc-wordCount, #vc-letterCount {
    font-size: 30px;
}



.consonant-container > div > div:last-child {
    font-size: 20px; /* Adjust as needed */
}

.vc-counts.consonant-container > div {
    border-right: solid 1px black;
}

.vc-counts.consonant-container > div:nth-last-of-type(-n+1) {
    margin-right: 0; /* Remove right margin for the last item */
}

.directions {
    font-size: 20px;
}

/* Ensure the container for displaying the text uses a monospaced font */
    /* Style for the monospaced font output with specific background color */

    .mono-text {
        font-family: 'Roboto Mono', monospace; /* Monospaced font with slashed zero */
        white-space: pre-wrap; /* Preserves whitespace and formatting */
        background-color: #f0f0f0; /* Light gray background for the box */
        padding: 10px; /* Padding around the text */
        border: 1px solid #ccc; /* Light gray border */
        margin-top: 10px; /* Margin above the box */
        width: 100%; /* Ensures the box is full width */
        box-sizing: border-box; /* Includes padding and border in the width calculation */
        color: black; /* Text color */
        font-size: 24px; /* Font size */
        min-height: 120px; /* Minimum height for the box */
    }
    
    .o-highlight {
        background-color: #FF9999; /* red */
        padding: 0 2px;
    }
    
    .zero-highlight {
        background-color: #90EE90; /*  green*/
        padding: 0 2px;
    }

    
    .i-highlight {
        background-color: #ADD8E6; /* blue*/
        padding: 0 2px; /* Padding around the letter for better visibility */
    }
    
    .l-highlight {
        background-color: #FFD580; /* orange */
        padding: 0 2px; /* Padding around the letter for better visibility */
    }
    
    .one-highlight {
        background-color: #d896ff; /* Light purple, similar to lavender */
        padding: 0 2px; /* Padding around the number for better visibility */
    }
    
    .legend-title h3 {
        margin-top: 20px; /* Space above the title */
        margin-bottom: 10px; /* Space between the title and the legend */
        font-family: 'Roboto Mono', monospace; /* Consistent font for clarity */
        font-size: 24px; /* Prominent font size for visibility */
        color: #333; /* Dark color for contrast */
        text-align: center; /* Center the title for better aesthetics */
    }
    
    .legend {
        padding: 10px;
        background-color: #f9f9f9; /* Light background for the legend area */
        border: 1px solid #ccc; /* Border to match the text area styling */
    }
    
    .legend-item {
        font-family: 'Roboto Mono', monospace; /* Consistent font for clarity */
        margin-bottom: 5px; /* Space between legend items */
    }
    
    .legend-item span {
        padding: 0 5px; /* Padding around the character for visibility */
    }


    .placeholder-text {
        color: #aaa; 
        font-style: italic;
        text-align: left;
        display: block;
        width: 100%;
        font-size: 20px;
    }













@media (min-width: 601px) {
    .consonant-container {
        /* Ensure this container uses a grid layout with an explicit template */
        display: grid;
        grid-template-columns: repeat(5, 1fr); /* Adjust based on the number of columns you want */
        gap: 10px; /* Adjust gap between grid items if needed */
    }

    /* If you have specific rules for the Z box, ensure it follows the same grid column span as others */
    
    .vc-counts.consonant-container > div#vc-consonantZ {
        /* This selector assumes you have an ID or a unique way to target the Z box. Adjust the selector as needed. */
        grid-column: span 1; /* Make the Z box span only 1 column */
       
    }
    
    
    
    
}


@media (min-width: 1200px) {
    
    .div3-vowel { 
        max-width: 900px;
    }
    
   
    
}



@media (max-width: 1200px) {
    
    .parent-vowel {
        display: grid;
        grid-template-columns:  1fr  300px;
        grid-template-rows: 1fr;
        grid-column-gap: 2px;
        grid-row-gap: 2px;
    }

    .div1-vowel { 
        display:none;
    }
    .div2-vowel { 
        display:none;
    }
    .div3-vowel { 
        grid-area: 1 / 1 / 2 / 2; 
    
    }
    
    .sidebar { 
        grid-area: 1 / 2 / 2 / 3;
    
    }
    
}



/* 992px */
@media (max-width: 992px) {
    
    .parent-vowel {
        display: grid;
        grid-template-columns: 1fr;
        grid-template-rows: 1fr;
        grid-column-gap: 0px;
        grid-row-gap: 0px;
    }
    
    .div3-vowel { 
        grid-area: 1 / 1 / 2 / 2; 
    }
    
    
}





/* Responsive design adjustments */
/* Mobile responsiveness */
@media (max-width: 600px) {
    .vc-container {
        padding: 15px;
    }

    .vc-title {
        font-size: 30px;
    }

    

    .vc-counts {
        flex-direction: column;
    }

    .vc-counts > div {
        border-top: 1px solid black;
        border-left: 1px solid black;
        border-right: 1px solid black;
        border-bottom: none; /* Remove bottom border by default */
    }
    
    .vc-counts > div:last-child {
        border-bottom: 1px solid black;
    }

    /* Remove the bottom border of all but the last div to prevent double border appearance */
    .vc-counts > div:not(:last-child) {
        border-right: 1px solid black; /* Adjust if necessary */

    }

    
    
    .vc-counts {
        flex-direction: column;
    }
    
   

    #vc-wordCount, #vc-letterCount {
        font-size: 30px;
    }
    
    .consonant-container {
        display: grid;
        grid-template-columns: repeat(2, 1fr); /* Create two columns */
        gap: 10px; /* Adjust gap between items */
    }

    .consonant-container > div {
        border: 1px solid black; /* Ensures borders are applied to all sides of each box */
        margin-bottom: 10px; /* Provides spacing below each box, if needed */
                position: relative;

    }

    /* Adjust this if the last row items stretch due to justify-content: space-around; */
    .consonant-container > div:nth-last-of-type(-n+2) {
        flex-grow: 1;
    }
    
    .consonant-container > div:last-child, .vowel-container > div:last-child {
        border-bottom: 1px solid black;
    }
    
    
    
    .consonant-container > div::after {
        content: '';
        position: absolute;
        left: 0;
        right: 0;
        bottom: -2px; /* Adjust based on your shadow size */
        height: 4px; /* Adjust the height to control the shadow's thickness */
        box-shadow: 0 2px 4px rgba(0,0,0,0.2); /* Adjust color and blur radius as needed */
        z-index: -1;
    }
    
    #vc-vowelCount::after, #vc-letterCount::after {
        content: '';
        position: absolute;
        left: 0;
        right: 0;
        bottom: -2px; /* Adjust based on your shadow size */
        height: 4px; /* Adjust the height to control the shadow's thickness */
        box-shadow: 0 2px 4px rgba(0,0,0,0.2); /* Adjust color and blur radius as needed */
        z-index: -1;
    }
    
    .remove-middle-border > div::after {
        box-shadow: none !important;
    }

    /* Specifically target and remove the shadow effect from the sides between boxes */
    .remove-middle-border > div {
        box-shadow: none !important;
    }

    .vc-counts.consonant-container {
        margin-bottom: 0px; /* Smaller gap for smaller screens */
    }
    
    .vc-counts.consonant-container > div:nth-child(even) {
        margin-right: 0;
    }
    
    .vc-counts.consonant-container > div:nth-last-of-type {
        margin-right: 10px; /* Remove right margin for the last item */
    }
    
    
    
    .vc-counts.consonant-container > div {
        margin-right: 0px; /* Gap on the right side of each box */
        border-right: solid 1px black;
    }
    
    
   
    
   
   
}


@media (max-width: 400px) {
    .vc-container {
        padding: 10px;
    }

    
    
      .text {
        padding: 5px;
    }
    
  
   
}